GROUPMOD(8)

NAME
groupmod - modify a group definition on the system

SYNOPSIS

groupmod [options] GROUP

DESCRIPTION

The groupmod modifies the definition of the specified GROUP by modifying the appropriate entry in the group database.

OPTIONS

The options which apply to the groupmod command are:

-g, --gid GID
    Specify the new group ID for the GROUP. The numerical value of the GID must be a non-negative decimal integer. This value must be unique, unless the -o option is used. Values between 0 and 999 are typically reserved for system groups. Any files which the old group ID is the file group ID must have the file group ID changed manually.

-h, --help
    Display help message and exit.

-n, --new-name NEW_GROUP
    The name of the group will be changed from GROUP to NEW_GROUP name.

-o, --non-unique
    When used with the -g option allow to change the group GID to non-unique value.

FILES

/etc/group
    Group account information.

/etc/gshadow
    Secure group account information.

EXIT VALUES

The groupmod command exits with the following values:

0   success

2   invalid command syntax

3   invalid argument to option

4   specified group doesn't exist

6   specified group doesn't exist

9   group name already in use

10  can't update group file

SEE ALSO

chfn(1), chsh(1), passwd(1), gpasswd(8), groupadd(8), groupdel(8), useradd(8), userdel(8), usermod(8).